<div>
  <form class="add-blog-post-form" novalidate #addBlogPostForm="ngForm" autocomplete="off" (ngSubmit)="postBlog(addBlogPostForm)">
    <span>Post Blog</span>

    <input type="text" placeholder="Title" name="title" [(ngModel)]="model.title" #title="ngModel" required
      minlength="2" maxlength="50">
    <span class="form-errors">
      <span *ngIf="title.touched && title.errors?.required">Title is required</span>
    </span>

    <input type="text" placeholder="Description" name="description" [(ngModel)]="model.description"
      #description="ngModel" required maxlength="120">
    <span class="form-errors">
      <span *ngIf="description.touched && description.errors?.required">Description is required</span>
    </span>

    <input type="text" placeholder="Author" name="author" [(ngModel)]="model.author" #author="ngModel" required
      minlength="2" maxlength="30">
    <span class="form-errors">
      <span *ngIf="author.touched && author.errors?.required">Author name is required</span>
    </span>
    <div class="image-preview-container">
      <img [src]="model.poster"  class="img-container" (error)="imageError(addBlogPostForm)">
    </div>

    <input type="text" placeholder="Poster Url" name="poster" [(ngModel)]="model.poster" #poster="ngModel">
    <span class="form-errors">
      <span *ngIf="poster.errors?.incorrect">Please enter valid image url</span>
    </span>
    <textarea type="text" placeholder="content" name="content" [(ngModel)]="model.content" #content="ngModel"
      maxlength="500"></textarea>
    <span class="form-errors">

    </span>
    <div class="post-button-cotainer">
      <button type="submit" [disabled]="addBlogPostForm.invalid">POST</button>
    </div>

  </form>
</div>
